<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Landing Page - Start Bootstrap Theme</title>

  <!-- Bootstrap core CSS -->

   <link href="{{ url_for('static', filename='vendor/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet">  

    <!-- Custom fonts for this template -->

    <link href="{{ url_for('static', filename='vendor/font-awesome/css/font-awesome.min.css') }}" rel="stylesheet" type="text/css">

     <link href="{{ url_for('static', filename='vendor/simple-line-icons/css/simple-line-icons.css') }}" rel="stylesheet" type="text/css">


    <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,300italic,400italic,700italic" rel="stylesheet" type="text/css">

    <!-- Custom styles for this template -->
    <link href="{{ url_for('static', filename='css/landing-page.min.css') }}" rel="stylesheet">  
   
    <!-- Bootstrap core JavaScript -->
     <script type="text/javascript" src="{{ url_for('static', filename='vendor/jquery/jquery.min.js') }}"></script>

     <script type="text/javascript" src="{{ url_for('static', filename='vendor/bootstrap/js/bootstrap.bundle.min.js') }}"></script>

     <!-- cdn script buat chart -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.4.0/Chart.min.js"></script>

    

  </head>

  <body>

    <!-- Navigation -->
    <nav class="navbar navbar-light bg-light static-top">
      <div class="container">
        <a class="navbar-brand" href="#">Plagiarism Identification</a>
        <a class="btn btn-primary" href="#">Sign In</a>
      </div>
    </nav>

    <!-- Masthead -->
    <header class="masthead text-white text-center">
      <div class="overlay"></div>
      <div class="container">
        <div class="row">
          <div class="col-xl-9 mx-auto">
            <h1 class="mb-5">Plagiarism Identification</h1>
          </div>
          <div class="col-md-10 col-lg-8 col-xl-7 mx-auto">
          <form method="POST">
            <fieldset>
               {{ sform.hidden_tag() }}
                <div class="form-row">
                <div class="col-12 col-md-9 mb-2 mb-md-0">
                   <input id="sform-keyword" name="sform-keyword" type="text" class="form-control form-control-lg" value="">
                </div>
                <div class="col-12 col-md-3">
                  <input id="sform-search" name="sform-search" type="submit" class="btn btn-block btn-lg btn-primary"   value="Search">
            </fieldset>


            </form>
            
          </div>
        </div>
      </div>
    </header>

    <!-- Icons Grid -->
    <section class="features-icons bg-light text-center">
      <div class="container">
           <h2 class="mb-5">Hasil Pencarian</h2>
        <div class="row">
    <div class="container">
      <div class="row justify-content-md-center">
        <div align="center">
         <table border="1px">
            <tr>
                <td style="text-align:center"> Nama File</td>
                <td style="text-align:center">Persentase</td>
            </tr>
        {% for v in data %}
            <tr>
            <td style="text-align:center">{{ v[0] }}</td>
            <td style="text-align:center">{{ v[1] }}%</td>
            </tr>
        {% endfor %}
        </table>
        </div>
      </div>
    </section>


     <!-- Testimonials -->
    <section class="testimonials text-center bg-light">
      <div class="container">
        <h2 class="mb-5">Grafik Pencarian</h2>
        <div class="row">
          <div class="col-lg-4">
            <div class="testimonial-item mx-auto mb-5 mb-lg-0">
          <label>Similarity Diagram</label>
          <canvas id="canvas" width="100%" height="100%"></canvas>
            </div>
          </div>
          <div class="col-lg-4">
            <div class="testimonial-item mx-auto mb-5 mb-lg-0">
            </div>
          </div>
          <div class="col-lg-4">
            <div class="testimonial-item mx-auto mb-5 mb-lg-0">
               <label>Grafik Persentase</label>
          <canvas id="canvasBow" width="100%" height="100%"></canvas>
            </div>
          </div>
        </div>
      </div>
    </section>


    <!-- Testimonials -->
    <section class="testimonials text-center bg-light">
      <div class="container">
        <h2 class="mb-5"> Hasil Akhir</h2>
         <h4 class="mb-5"> Tingkat Kemiripan Berdasarkan Similarity Diagram : <br> {{akhir1}}%</h4>
          <h4 class="mb-5"> Tingkat Kemiripan Berdasarkan Grafik Persentase : <br> {{akhir2}}%</h4>
        <div class="row">


        </div>
      </div>
    </section>

    <!-- Call to Action -->
    <section class="call-to-action text-white text-center">
      <div class="overlay"></div>
      <div class="container">
        <div class="row">
          <div class="col-xl-9 mx-auto">
            <h2 class="mb-4">Plagiarism Identification</h2>
          </div>
          <div class="col-md-10 col-lg-8 col-xl-7 mx-auto">
           
            <form method="POST">
            <fieldset>
               {{ sform.hidden_tag() }}
                <div class="form-row">
                <div class="col-12 col-md-9 mb-2 mb-md-0">
                   <input id="sform-keyword" name="sform-keyword" type="text" class="form-control form-control-lg" value="">
                </div>
                <div class="col-12 col-md-3">
                  <input id="sform-search" name="sform-search" type="submit" class="btn btn-block btn-lg btn-primary"   value="Search">
            </fieldset>


            </form>

          </div>
        </div>
      </div>
    </section>

    <!-- Footer -->
    <footer class="footer bg-light">
      <div class="container">
        <div class="row">
          <div class="col-lg-6 h-100 text-center text-lg-left my-auto">
            <ul class="list-inline mb-2">
              <li class="list-inline-item">
                <a href="#">About</a>
              </li>
              <li class="list-inline-item">&sdot;</li>
              <li class="list-inline-item">
                <a href="#">Contact</a>
              </li>
              <li class="list-inline-item">&sdot;</li>
              <li class="list-inline-item">
                <a href="#">Terms of Use</a>
              </li>
              <li class="list-inline-item">&sdot;</li>
              <li class="list-inline-item">
                <a href="#">Privacy Policy</a>
              </li>
            </ul>
            <p class="text-muted small mb-4 mb-lg-0">&copy; Start Bootstrap 2017. All Rights Reserved.</p>
          </div>
          <div class="col-lg-6 h-100 text-center text-lg-right my-auto">
            <ul class="list-inline mb-0">
              <li class="list-inline-item mr-3">
                <a href="#">
                  <i class="fa fa-facebook fa-2x fa-fw"></i>
                </a>
              </li>
              <li class="list-inline-item mr-3">
                <a href="#">
                  <i class="fa fa-twitter fa-2x fa-fw"></i>
                </a>
              </li>
              <li class="list-inline-item">
                <a href="#">
                  <i class="fa fa-instagram fa-2x fa-fw"></i>
                </a>
              </li>
            </ul>
          </div>
        </div>
      </div>

    {% for v in hitung %}
    <script>
    var kucing_label = [];
    var kucing_data = [];
    var warnaWarni = [];
    {% for v in hitung %}
      kucing_label.push("{{v}}");
      kucing_data.push({{hitung[v]}});
      warnaWarni.push("rgb(255, 99, 132)", "rgb(0, 255, 64)", "rgb(255, 191, 0)", "rgb(0, 128, 255)", "rgb(0, 255, 255)", "rgb(128, 128, 128)", "rgb(191, 0, 255)");
    {% endfor %}
    var ctx = document.getElementById('canvas').getContext('2d');
    var chart = new Chart(ctx, {
      // The type of chart we want to create
      type: 'pie',

      // The data for our dataset
      data: {
        labels: kucing_label,
        datasets: [{
            label: "Jumlah Kemiripan",
            // backgroundColor: 'rgb(255, 99, 132)',
            backgroundColor : warnaWarni,
            borderColor: 'rgb(255, 99, 132)',
            data: kucing_data,
          }]
        },

        // Configuration options go here
        options: {}
      });
    </script>
    {% endfor %}

    {% for v in data %}
    <script>
    var data_label = [];
    var data_data = [];
    var warnaWarni = [];
    {% for v in data %}
      data_label.push("{{v[0]}}");
      data_data.push("{{v[1]}}");
      warnaWarni.push("rgb(255, 99, 132)", "rgb(0, 255, 64)", "rgb(255, 191, 0)", "rgb(0, 128, 255)", "rgb(0, 255, 255)", "rgb(128, 128, 128)", "rgb(191, 0, 255)");
    {% endfor %}
    var ctx = document.getElementById('canvasBow').getContext('2d');
    var chart = new Chart(ctx, {
      // The type of chart we want to create
      type: 'bar',

      // The data for our dataset
      data: {
        labels: data_label,
        datasets: [{
            label: "",
            // backgroundColor: 'rgb(255, 99, 132)',
            backgroundColor : warnaWarni,
            borderColor: 'rgb(255, 99, 132)',
            data: data_data,
          }]
        },

        // Configuration options go here
        options: {}
      });
    </script>
    {% endfor %}
    </footer>

    

  </body>

</html>
